//-------------------------------------------------------------------------
// MORE CONTROLLER
//-------------------------------------------------------------------------

IpPbxMobile.controllers.MoreController = new Ext.Controller(
{
    //---------------------------------------------------------------------
    // Settings
    //---------------------------------------------------------------------

    showSettings: function (options)
    {
        logger.log("MoreController - showSettings");

        moreToolbar.setTitle(options.data.title);
        moreToolbar.add(moreCardBackButton);
        moreToolbar.add(settingsActionButton);        
        moreToolbar.doLayout();

        IpPbxMobile.views.moreCard.setActiveItem(1);
        IpPbxMobile.views.settingsCard.loadRecord(IpPbxMobile.stores.ConfigItems.getAt(0));        
    },

    //---------------------------------------------------------------------

    saveSettings: function()
    {
        if (IpPbxMobile.views.settingsCard.isRecordLoadInProgress)
            return;
        
        logger.log("MoreController - saveSettings");

        IpPbxMobile.views.settingsCard.updateRecord(IpPbxMobile.stores.ConfigItems.getAt(0), false);
        IpPbxMobile.controllers.ConfigurationController.syncAndReload();

        // Update logger settings
        logger.update();
    },

    //---------------------------------------------------------------------

    showSettingsActionSheet: function()
    {
        logger.log("MoreController - showSettingsActionSheet");

        settingsActionSheet.items.getAt(1).setVisible(configData.useLogging);        
        settingsActionSheet.show();        
    },
       
    //---------------------------------------------------------------------
    // Forwardings Card
    //---------------------------------------------------------------------

    showForwardings: function (options)
    {
        logger.log("MoreController - showForwardings");

        moreToolbar.setTitle(langData['forwardings_list_title']);
        moreToolbar.add(moreCardBackButton);
        moreToolbar.doLayout();

        IpPbxMobile.controllers.ForwardingController.reloadForwardings();
        
        IpPbxMobile.views.moreCard.setActiveItem(2);
    },

    //---------------------------------------------------------------------
    // About Card
    //---------------------------------------------------------------------

    showAbout: function (options)
    {
        logger.log("MoreController - showAbout");

        if (dialpadNumberField.getText() === "42" &&
		   (Ext.is.iPhone || (!Ext.is.Phone)))
        {
            // Show Credits Page
            logger.error("SHOWING CREDITS... :-)");

            // Clear dialpad number field
            dialpadNumberField.setText('');

            moreToolbar.setTitle(langData['about_credits_title']);
            moreToolbar.add(moreCardBackButton);
            moreToolbar.doLayout();

            IpPbxMobile.views.moreCard.setActiveItem(4);
        }
        else // Show About Page
        {
            moreToolbar.setTitle(options.data.title);
            moreToolbar.add(moreCardBackButton);
            moreToolbar.doLayout();

            IpPbxMobile.views.moreCard.setActiveItem(3);
        }
    },
        
    //---------------------------------------------------------------------
    // Factory Reset
    //---------------------------------------------------------------------

    doFactoryReset: function()
    {
        logger.log("MoreController - doFactoryReset");

        // Show Loading Mask
        var resetAppMask = new Ext.LoadMask(Ext.getBody(), {msg: langData['msg_restart'] });
		resetAppMask.show();

        // Remove mobile device registration
        IpPbxMobile.controllers.UserController.unregisterDevice();
   
        // Reset login globals
        isLoggedOn = false;
        nextLoginStep = null;

        // Set app defaults
        IpPbxMobile.controllers.ConfigurationController.setDefaultConfig();

        // Do App Restart
        var restartTask = new Ext.util.DelayedTask(function()
        {
            location.reload();
        });

        restartTask.delay(5000);
    },
        
    //---------------------------------------------------------------------

    updateHelpLink: function()
    {
        var moreRec = IpPbxMobile.stores.MoreListItems.getById('help');
        if(moreRec)
        {
            // Update link
            moreRec.set('link', userData.HelpLink);
        }
    }
});




