//-------------------------------------------------------------------------
// SETTINGS - MODEL
//-------------------------------------------------------------------------

Ext.regModel('IpPbxMobile.models.ConfigItem',
{
    fields: [
	    // Login Data
	    { name: 'username', type: 'string' },
	    { name: 'password', type: 'string' },
	    { name: 'protocol', type: 'string' },
	    { name: 'url', type: 'string' },
	    { name: 'serverId', type: 'int' },
        
        // User Config
	    { name: 'postDialableDigits', type: 'int' },
        { name: 'dialMode', type: 'int' },
	    { name: 'useAutoLogin', type: 'bool' },
	    { name: 'useFastDial', type: 'bool' },
        { name: 'useLogging', type: 'bool' },                
        { name: 'useSecureConnection', type: 'bool' },        

        // Internal - Updated on every App Start and Relogin
        { name: 'id', type: 'int' },
        { name: 'memNumber', type: 'string' },
        { name: 'doUserSwitch', type: 'bool' },        
        { name: 'firstLogin', type: 'bool' },
        { name: 'currentUserStateId', type: 'int' },        

        // 0 = Device not registered
        // 1 = Device registered (waiting for confirmation by "getPresenceData" method)
        // 2 = Device registered (registration confirmed)
        { name: 'mobileDeviceRegState', type: 'int' },        

        // Internal - Persistent forever after first App start
        { name: 'deviceAppId', type: 'string' }
	],
    proxy:
	{
	    id: 'ippbx-config',
	    type: 'localstorage'
	}
});

//-------------------------------------------------------------------------
// MORE LIST ITEM - MODEL
//-------------------------------------------------------------------------

Ext.regModel('IpPbxMobile.models.MoreListItem',
{
    fields: [
        { name: 'id', type: 'string' },
        { name: 'text', type: 'string' },
        { name: 'title', type: 'string' },
		{ name: 'css', type: 'string' },
		{ name: 'action', type: 'string' },
        { name: 'hidden', type: 'bool' },
        { name: 'isLink', type: 'bool' },
        { name: 'link', type: 'string' }
    ]
});

//-------------------------------------------------------------------------
// SERVER LIST - MODEL
//-------------------------------------------------------------------------

Ext.regModel('IpPbxMobile.models.ServerListItem',
{
    fields: [
        { name: 'id', type: 'int' },
	    { name: 'text', type: 'string' },
	    { name: 'value', type: 'int' },
	    { name: 'address', type: 'string' },
        { name: 'memNumber', type: 'string' }
	]
});

//-------------------------------------------------------------------------
// FORWARDING ITEM - MODEL
//-------------------------------------------------------------------------

Ext.regModel('IpPbxMobile.models.ForwardingItem',
{
    fields: [
	    { name: 'FwdEnabled', type: 'bool' },
	    { name: 'FwdToVoicemail', type: 'bool' },
	    { name: 'FwdToNumber', type: 'bool' },
	    { name: 'FwdNumber', type: 'string' },
        { name: 'FwdWaitTime', type: 'int' },

        // TypeId
        // 0 = Busy
        // 1 = Noreply
        // 2 = Unconditional
        { name: 'TypeId', type: 'int' },

        // Returns the localised name of the forwarding
        { name: 'TypeName', type: 'int', convert: function (value, record)
            {
                var type = record.get('TypeId');
                return IpPbxMobile.controllers.LanguageController.getLocalisedFwdTypeName(type);
            }
        }
	]
});

//-------------------------------------------------------------------------