//-------------------------------------------------------------------------
// CONFIGURATION - STORE
//-------------------------------------------------------------------------

IpPbxMobile.stores.ConfigItems = new Ext.data.Store(
{
    model: 'IpPbxMobile.models.ConfigItem'
});

//-------------------------------------------------------------------------
// REMOTE CONTACTS - STORE
//-------------------------------------------------------------------------

IpPbxMobile.stores.RemoteContactItems = new Ext.data.Store(
{
    id: 'RemoteContactItemStore',
    model: 'IpPbxMobile.models.RemoteContactItem',
    autoLoad: false,
    getGroupString: function (record)
    {
        var groupstring = record.get('Name').substring(0, 1);

        // Match all letters to their equivalent group entry,
        // store everything else to special item group.
        if (groupstring.match('^[A-Za-z]'))
            return groupstring[0];
        else
            return '#';
    }
});

//-------------------------------------------------------------------------
// LOCAL CONTACTS - STORE
//-------------------------------------------------------------------------

IpPbxMobile.stores.LocalContactItems = new Ext.data.Store(
{
    id: 'LocalContactItemStore',
    model: 'IpPbxMobile.models.LocalContactItem',
    getGroupString: function (record)
    {
        var groupstring = record.get('familyName').substring(0, 1);

        // Match all letters to their equivalent group entry,
        // store everything else to special item group.
        if (groupstring.match('^[A-Za-z]'))
            return groupstring[0];
        else
            return '#';
    }
});

//-------------------------------------------------------------------------
// CALL JOURNAL - STORE
//-------------------------------------------------------------------------

IpPbxMobile.stores.JournalItems = new Ext.data.Store(
{
    id: 'JournalItemStore',
    model: 'IpPbxMobile.models.JournalItem',
    sorters: [
        {
            property: 'DateTS',
            direction: 'DESC'
        }]
});

IpPbxMobile.stores.JournalRedialStore = new Ext.data.Store(
{
    id: 'JournalRedialStore',
    model: 'IpPbxMobile.models.JournalItem',
    sorters: [
        {
            property: 'DateTS',
            direction: 'DESC'
        }]
});

//-------------------------------------------------------------------------
// MORE LIST - STORE
//-------------------------------------------------------------------------

IpPbxMobile.stores.MoreListItems = new Ext.data.Store(
{
    model: 'IpPbxMobile.models.MoreListItem',
    data: [
            {
                id: 'settings',
                title: 'Settings',
                text: 'Settings',
                css: 'mSettings',
                action: 'showSettings',
                hidden: false,
                isLink: false
            },
            {
                id: 'forwardings',
                title: 'Forwardings',
                text: 'Forwardings',
                css: 'mForwardings',
                action: 'showForwardings',
                hidden: false,
                isLink: false
            },
            {
                id: 'help',
                title: 'Help',
                text: 'Help',
                css: 'mHelp',
                hidden: true,
                isLink: true,
                link: ''
            },
            {
                id: 'about',
                title: 'About',
                text: 'About',
                css: 'mAbout',
                action: 'showAbout',
                hidden: false,
                isLink: false
            }
        ]
});

//-------------------------------------------------------------------------
// FORWARDING - STORE
//-------------------------------------------------------------------------

IpPbxMobile.stores.ForwardingItems = new Ext.data.Store(
{
    model: 'IpPbxMobile.models.ForwardingItem',
    id: 'ForwardingItemsStore'
});

//-------------------------------------------------------------------------