﻿//------------------------------------------------------------------------------------------------
// CALL JOURNAL DETAIL CARD - TEMPLATE HELPER METHODS
//------------------------------------------------------------------------------------------------

var journalTplHelperFunctions =
{
    isCalledNumber: function (calledNumber, storedNumber)
    {
        if (calledNumber == storedNumber)
        {
            return true;
        }

        if (calledNumber.length == storedNumber.length)
        {
            return false;
        }

        var phoneExtension = ""; // e.g. 255 of number +4912345255

        if (calledNumber.length > storedNumber.length)
        {
            phoneExtension = calledNumber.substr(calledNumber.length - storedNumber.length, storedNumber.length);
        }

        if (calledNumber.length < storedNumber.length)
        {
            phoneExtension = storedNumber.substr(storedNumber.length - calledNumber.length, calledNumber.length);
        }

        if (phoneExtension == calledNumber)
        {
            return true;
        }

        return false;
    }
}

//------------------------------------------------------------------------------------------------
// CALL JOURNAL CARD - LIST ITEM TEMPLATE
//------------------------------------------------------------------------------------------------

var journalListItemTpl = [
        '<tpl if="Type == 1"><div class="jState{State}"></tpl>',
        '<tpl if="Type == 2"><div class="jOutgoingCall"></tpl>',
        '</div>',
        '<div class="jListItem">',
            '<tpl if="IsMissedCall == true"><div class="jItemRed"></tpl>',
            '<tpl if="IsMissedCall == false"><div class="jItem"></tpl>',
            '{EntryName}</div>',
            '<div class="jItemDate">{Date}</div>',
        '</div>'
];

//------------------------------------------------------------------------------------------------
// CALL JOURNAL DETAIL CARD - LOCAL CONTACT TEMPLATE
//------------------------------------------------------------------------------------------------

var localJournalContactItemTpl = new Ext.XTemplate(
		'<div style="margin: 8px;">',
		'    <div class="x-layout-box-inner x-layout-box" >',
/*Picture*/
		'        <div  class=" x-panel" style="margin-top: 0px; margin-right: 4px; margin-bottom: 4px;',
		'            margin-left: 0px; width: 102px; height: 100px;">',
		'            <div class="x-panel-body" style="left: 0px; top: 0px;">',
		'                <div class=" x-panel x-form-fieldset" style=" margin-top: 0px;',
		'                    margin-right: 0px; margin-bottom: 0px; margin-left: 0px;">',
		'                           <div class="x-panel-body">',
		'                               <tpl if="LocalContactItem.data.displayPhoto.length &gt; 0"><div class="detailPicture" style="background-image: url({LocalContactItem.data.displayPhoto});"></tpl>',
		'                               <tpl if="LocalContactItem.data.displayPhoto.length == 0"><div class="detailPicture defaultUserPic"></tpl>',
		'                               </div>', // detailPicture div
		'                       </div>',
		'                </div>',
		'            </div>',
		'        </div>',

'        <div class=" x-panel  x-input-text" style="margin: 2px 0px 0px 0px;">',
/*Name*/
		'            <div style="float: none !important; margin: 8px 0px 0px 6px;">',
		'                <tpl if="LocalContactItem.data.displayName">',
		'                    <tpl if="LocalContactItem.data.displayName.length &lt; 20"><div class="detailNameTextNormal">{LocalContactItem.data.displayName}</div></tpl>',
		'                    <tpl if="LocalContactItem.data.displayName.length &gt; 19 && LocalContactItem.data.displayName.length &lt; 30"><div class="detailNameTextSmall">{LocalContactItem.data.displayName}</div></tpl>',
		'                    <tpl if="LocalContactItem.data.displayName.length &gt; 29"><div class="detailNameTextSmaller">{LocalContactItem.data.displayName}</div></tpl>',
		'                </tpl>',
		'            </div>',
/* Job Title */
		'            <div style="float: none !important; margin: 8px 0px 0px 6px;">',
		'                <tpl if="LocalContactItem.data.jobTitle">',
		'                    <tpl if="LocalContactItem.data.jobTitle.length &lt; 20"><div class="detailJobTitleTextNormal">{LocalContactItem.data.jobTitle}</div></tpl>',
		'                    <tpl if="LocalContactItem.data.jobTitle.length &gt; 19 && LocalContactItem.data.jobTitle.length &lt; 30"><div class="detailJobTitleTextSmall">{LocalContactItem.data.jobTitle}</div></tpl>',
		'                    <tpl if="LocalContactItem.data.jobTitle.length &gt; 29"><div class="detailJobTitleTextSmaller">{LocalContactItem.data.jobTitle}</div></tpl>',
		'                </tpl>',
		'            </div>',

/* Company */
		'            <div style="float: none !important; margin: 8px 0px 0px 6px;">',
		'                <tpl if="LocalContactItem.data.company">',
		'                    <tpl if="LocalContactItem.data.company.length &lt; 20"><div class="detailCompanyTextNormal">{LocalContactItem.data.company}</div></tpl>',
		'                    <tpl if="LocalContactItem.data.company.length &gt; 19 && LocalContactItem.data.company.length &lt; 30"><div class="detailCompanyTextSmall">{LocalContactItem.data.company}</div></tpl>',
		'                    <tpl if="LocalContactItem.data.company.length &gt; 29"><div class="detailCompanyTextSmaller">{LocalContactItem.data.company}</div></tpl>',
		'                </tpl>',
		'            </div>',
        '        </div>',

'    </div>', // Horizontal div
/*Call Details*/
'    <div class="x-form-line x-layout-box-inner x-layout-box" style="margin-top: 8px;',
'        margin-right: 2px; margin-bottom: 0px; margin-left: 2px; ">',
'        <div class=" x-panel" style="margin: 8px 0px 0px 4px; width: 40px; height: 40px;">',
'           <div',
'               <tpl if="Type == 1">  class="jState{State}"></tpl>',
'               <tpl if="Type == 2">  class="jOutgoingCall"></tpl>',
'			</div>',
'       </div>',
'        <div class="x-form-fieldset-title" style="margin: 8px 0px 8px 4px;">',
'            <span>{StateName}</span>',
'            <div style="font-weight: normal;">',
'                {Date}',
'            </div>',

'            <tpl if="IsRedirectedCall">',
'                <div style="font-weight: normal;">',
'                    {CalledName} ({CalledNumber})',
'                </div>',
'            </tpl>',

'        </div>',
'    </div>',
		'        <div class=" x-panel  x-input-text" style="margin: 8px 0px 0px 0px;">',

/*Numbers*/
'              <tpl if="LocalContactItem.data.phoneNumbers[0]">',
'                <div class=" x-panel x-form-fieldset" style="margin: 8px 0px 0px 0px;" >',

'                    <div class="x-panel-body" style="background-color: white;" >',
'                        <tpl for="LocalContactItem.data.phoneNumbers">',
'                            <div class="x-field  x-landscape x-label-align-left" onclick="IpPbxMobile.controllers.DialpadController.handleCallRequest(\'{value}\')">',

// Label
'                                <div class="x-landscape x-label-align-right" style="margin: 12px 7px 7px 7px;">',
'                                    <div class="local-number-label">',
'                                        <div class="local-number-label-wrapper">',
'		                                     <div class="local-number-label-cell">',
'                                                {type}',
'                                            </div>', // cell
'                                        </div>', // wrapper
'                                    </div>', // local-number-label
'                                </div>', // x-landscape

// Value
'                                <div class="x-landscape x-label-align-right" style="margin: 12px 7px 7px 7px;">',
'                                    <div class="local-number-value">',
'                                        <div class="local-number-label-wrapper">',
'		                                     <div class="local-number-value-cell">',
'                                                {value}',
'                                            </div>', // cell
'                                        </div>', // wrapper
'                                    </div>', // local-number-value
'                                </div>', // x-landscape



'                            </div>',
'                        </tpl>',
'                    </div>',

'                </div>',
'              </tpl>',
/*Mail*/
'              <tpl if="LocalContactItem.data.emails[0]">',
'                <div class=" x-panel x-form-fieldset" style="margin-top: 8px; margin-right: 0px;',
'                    margin-bottom: 8px; margin-left: 0px;" >',
'                    <div class="x-panel-body" style="background-color: white;" >',
'                       <tpl for="LocalContactItem.data.emails">',
		'                       <div class="x-field  x-landscape x-label-align-left">',
		'                           <div class="x-form-field-container x-input-text" style="margin: 12px 7px 7px 7px;">',
		'                               <a style="color:black; text-decoration:none" href="mailto:{value}">{value}</a>',
		'                            </div>',
		'                       </div>',
	'                       </tpl>',
	'                    </div>',
'                      </div>',
'                </tpl>',
'</div>' // vertical div
, journalTplHelperFunctions);

//------------------------------------------------------------------------------------------------
// CALL JOURNAL DETAIL CARD - DEFAULT CONTACT TEMPLATE
//------------------------------------------------------------------------------------------------

var journalContactItemTpl = new Ext.XTemplate(

/*Calldetails*/
'    <div class="x-form-line x-layout-box-inner x-layout-box" style="margin-top: 8px; margin-right: 10px; margin-bottom: 0px; margin-left: 10px; -webkit-box-orient: horizontal; -webkit-box-direction: normal; -webkit-box-pack: start; -webkit-box-align: stretch;">',
'        <div class=" x-panel" style="margin: 8px 0px 0px 4px; width: 40px; height: 40px;">',
'            <div',
'                <tpl if="Type == 1"> class="jState{State}"></tpl>',
'                <tpl if="Type == 2"> class="jOutgoingCall"></tpl>',
'			 </div>',
'        </div>',
'        <div class="x-form-fieldset-title" style="margin: 8px 0px 8px 4px; ">',
'            <span>{StateName}</span>',
'            <div style="font-weight: normal;">',
'                {Date}',
'            </div>',

'            <tpl if="IsRedirectedCall">',
'                <div style="font-weight: normal;">',
'                    {CallForString} {CalledName} ({CalledNumber})',
'                </div>',
'            </tpl>',

'        </div>',
'    </div>',

/*Numbers*/

'    <tpl if="EntryNumber.length &gt; 0">',
'        <div class=" x-panel x-form-fieldset" style="margin-top: 8px; margin-right: 8px; margin-bottom: 0px; margin-left: 8px;" >',
'            <div class="x-panel-body" style="background-color: white;" onclick="IpPbxMobile.controllers.DialpadController.handleCallRequest(\'{EntryNumber}\')">',
'                <div class="x-field  x-landscape x-label-align-left">',
'                    <div class="jNumberRed" style="margin: 12px 7px 7px 7px;">',
'                        {EntryNumber}',
'                    </div>',
'                </div>',
'            </div>',
'        </div>',
'    </tpl>',

'	</div></div>');

//------------------------------------------------------------------------------------------------
// CALL JOURNAL DETAIL CARD - REMOTE CONTACT TEMPLATE
//------------------------------------------------------------------------------------------------

var remoteJournalContactItemTpl = new Ext.XTemplate(

'<div style="margin: 8px;">',
'    <div class="x-layout-box-inner x-layout-box" >',

/*Picture*/
'        <div class=" x-panel" style="margin-top: 0px; margin-right: 4px; margin-bottom: 4px;',
'            margin-left: 0px; width: 102px; height: 100px;">',
'            <div class="x-panel-body" style="left: 0px; top: 0px;">',
'                <div class=" x-panel x-form-fieldset" style=" margin-top: 0px;',
'                    margin-right: 0px; margin-bottom: 0px; margin-left: 0px;">',
'                    <div class="x-panel-body">',
'                        <tpl if="RemoteContactItem.data.Pic.length &gt; 0"><div class="detailPicture" style="background-image:url(\'data:image/png;base64,{RemoteContactItem.data.Pic}\');"></tpl>',
'                        <tpl if="RemoteContactItem.data.Pic.length==0 && RemoteContactItem.data.Type==2"><div class="detailPicture defaultGroupPic"></tpl>',
'                        <tpl if="RemoteContactItem.data.Pic.length==0 && RemoteContactItem.data.Type!=2"><div class="detailPicture defaultUserPic"></tpl>',
'                     		</div>',
'                    </div>',
'                </div>',
'            </div>',
'        </div>',


/*Name*/
'        <div class=" x-panel  x-input-text" style="margin: 0px 0px 0px 0px;">',

'            <div style="float: none !important; margin: 10px 0px 0px 6px;">',
'                <tpl if="RemoteContactItem.data.Name.length &lt; 20"><div class="detailNameTextNormal">{RemoteContactItem.data.Name}</div></tpl>',
'                <tpl if="RemoteContactItem.data.Name.length &gt; 19 && Name.length &lt; 30"><div class="detailNameTextSmall">{RemoteContactItem.data.Name}</div></tpl>',
'                <tpl if="RemoteContactItem.data.Name.length &gt; 29"><div class="detailNameTextSmaller">{RemoteContactItem.data.Name}</div></tpl>',
'            </div>',

// BEGIN - Show User State and Forwarding State only if entry is a valid IpPbx User
'<tpl if="RemoteContactItem.data.Type==1">',

/*State*/
'            <div class="x-layout-box-inner x-layout-box" style="margin: -4px 0px 0px 0px; -webkit-box-orient: horizontal;',
'                            -webkit-box-direction: normal; -webkit-box-pack: start; -webkit-box-align: stretch;"> ',
'                <div id="ext-comp-1018" class=" x-panel">',
'                    <div class="detailStatusIcon cState{RemoteContactItem.data.State}"></div>',
'                </div>',
'                <div class=" x-panel x-input-text" style="margin: 0px;">',
'                    <div class="x-panel-body">',
'                        <div class="x-field  x-landscape">',
'                            <div class="x-form-field-container" style="margin: 12px 7px 7px 0px;">',
'                                {RemoteContactItem.data.StateName}',
'                            </div>',
'                        </div>',
'                    </div>',
'                </div>',
'            </div>',

/*Forwarding*/
'            <tpl if="RemoteContactItem.data.Forwarding">',
'                <div style="float: none !important; margin: -2px 0px 0px 6px;">',
'                    <div class="detailFwdText">{RemoteContactItem.data.Forwarding}</div>',
'                </div>',
'            </tpl>',

// END - Show User State and Forwarding State only if entry is a valid IpPbx User
'</tpl>',

'        </div>',
'    </div>',

/*Text*/
'<tpl if="RemoteContactItem.data.Text">',
'		<div  class=" x-panel x-form-fieldset"  ',
'			style="margin-top: 6px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px;">',

'				<div class="x-layout-box-inner x-layout-box" ',

'					style="-webkit-box-orient: horizontal; -webkit-box-direction: normal; -webkit-box-pack: start; -webkit-box-align: stretch; ">',
'           			<div class="x-form-field-container detailStatusText" style="margin: 0px 7px 0px 7px;"  style=" height: 100%;  width: 100%;">',
'                        {RemoteContactItem.data.LocalisedText}',
'						</div>',

'				</div>',
'		</div>',
' </tpl>',

/*Call Details*/
'    <div class="x-form-line x-layout-box-inner x-layout-box" style="margin-top: 8px;',
'        margin-right: 2px; margin-bottom: 0px; margin-left: 2px; ">',
'        <div class=" x-panel" style="margin: 8px 0px 0px 4px; width: 40px; height: 40px;">',
'           <div',
'               <tpl if="Type == 1">  class="jState{State}"></tpl>',
'               <tpl if="Type == 2">  class="jOutgoingCall"></tpl>',
'			</div>',
'       </div>',
'        <div class="x-form-fieldset-title" style="margin: 8px 0px 8px 4px;">',
'            <span>{StateName}</span>',
'            <div style="font-weight: normal;">',
'                {Date}',
'            </div>',

'            <tpl if="IsRedirectedCall">',
'                <div style="font-weight: normal;">',
'                    {CallForString} {CalledName} ({CalledNumber})',
'                </div>',
'            </tpl>',

'        </div>',
'    </div>',

/*Numbers*/
'            <tpl if="RemoteContactItem.data.Numbers[0]">',
'                <div class=" x-panel x-form-fieldset" style="margin: 8px 0px 0px 0px;" >',
'                    <div class="x-panel-body" style="background-color: white;" >',
'                        <tpl for="RemoteContactItem.data.Numbers">',
'                            <div class="x-field  x-landscape x-label-align-left" onclick="IpPbxMobile.controllers.DialpadController.handleCallRequest(\'{.}\')">',
'                                <div ',
'                                    <tpl if="this.isCalledNumber(parent.EntryNumber,[values][0])==true">class="jNumberRed"</tpl>',
'                                    style="margin: 12px 7px 7px 7px;">',
'                                    {.}',
'                                </div>',
'                            </div>',
'                        </tpl>',
'                    </div>',
'                </div>',
'            </tpl>',

/*Mail*/
'              <tpl if="RemoteContactItem.data.Mail">',
'                       <div class=" x-panel x-form-fieldset" style="margin-top: 8px; margin-right: 0px;',
'                       margin-bottom: 8px; margin-left: 0px;" >',
'                           <div class="x-panel-body" style="background-color: white;" >',
'                               <tpl for="RemoteContactItem.data.Mail">',
'                                   <div class="x-field  x-landscape x-label-align-left">',
'                                       <div class="x-form-field-container x-input-text" style="margin: 12px 7px 7px 7px;">',
'                                           <a href="mailto:{.}" style="text-decoration:none"><div style="overflow: hidden; text-overflow: ellipsis; color:black; text-decoration:none" >{.}</div></a>',
'                                       </div>',
'                                   </div>',
'                               </tpl>',
'                           </div>',
'                      </div>',
'                   </div>',
'                </tpl>',
'</div>' // vertical div
, journalTplHelperFunctions);

//------------------------------------------------------------------------------------------------