﻿//------------------------------------------------------------------------------------------------
// DIALPAD CARD
//------------------------------------------------------------------------------------------------

IpPbxMobile.views.DialpadCard = Ext.extend(Ext.Panel,
{
    id: 'dialpadcard',
    title: 'Dialpad',
    iconCls: 'phone',
    fullscreen: true,
    ui: 'dialpadpanel',
    layout:
    {
        type: 'vbox',
        pack: 'center',
        align: 'stretch'
    },
    defaults:
    {
        layout:
        {
            type: 'hbox',
            pack: 'center',
            align: 'stretch'
        },
        flex: 1
    },    
    initComponent: function()
    {
        Ext.apply(this,
		{ 
            items: [
            {
                items: [dialpadNumberField]
            },
            {
                items: [button1, button2, button3]
            },
            {
                items: [button4, button5, button6]
            },
            {
                items: [button7, button8, button9]
            },
            {
                items: [buttonRedial, button0, buttonDelete]
            },
            {
                items: [buttonMobile, buttonOffice]
            }]
		});

		IpPbxMobile.views.DialpadCard.superclass.initComponent.apply(this, arguments);
    }
});

// Register View
Ext.reg('IpPbxMobile.views.DialpadCard', IpPbxMobile.views.DialpadCard);

//------------------------------------------------------------------------------------------------
// DIALPAD CARD - NUMBER FIELD
//------------------------------------------------------------------------------------------------

var dialpadNumberField = new Ext.Button(
{
    componentCls: 'textfieldnumber',
    cls: 'fontSizeNormal',
    text: '',
    flex: 1,
    resetFontSize: function()
    {
        var length = dialpadNumberField.text.length;
        if (length < 10)
        {
            dialpadNumberField.addCls("fontSizeNormal");
            dialpadNumberField.removeCls("fontSizeSmall");
            dialpadNumberField.removeCls("fontSizeSmaller");
        }

        if (length >= 10 && length <= 15)
        {
            dialpadNumberField.addCls("fontSizeSmall");
            dialpadNumberField.removeCls("fontSizeNormal");
            dialpadNumberField.removeCls("fontSizeSmaller");
        }

        if (length >15)
        {
            dialpadNumberField.addCls("fontSizeSmaller");
            dialpadNumberField.removeCls("fontSizeSmall");
            dialpadNumberField.removeCls("fontSizeNormal");
        }
    }
});

//------------------------------------------------------------------------------------------------
// DIALPAD CARD - BUTTONS
//------------------------------------------------------------------------------------------------

var button1 = new Ext.Button(
{
    cls: 'dialpadbutton',
    iconCls: 'button1',
    flex: 1,
    handler: function ()
    {
        Ext.dispatch(
		{
		    controller: IpPbxMobile.controllers.DialpadController,
		    action: 'touchNumber',
		    data: '1'
		});
    }
});

var button2 = new Ext.Button(
{
    cls: 'dialpadbutton',
    flex: 1,
    iconCls: 'button2',
    handler: function()
    {
        Ext.dispatch(
		{
		    controller: IpPbxMobile.controllers.DialpadController,
		    action: 'touchNumber',
		    data: '2'
		});
    }
});

var button3 = new Ext.Button(
{
    cls: 'dialpadbutton',
    flex: 1,
    iconCls: 'button3',
    handler: function()
    {
        Ext.dispatch(
		{
		    controller: IpPbxMobile.controllers.DialpadController,
		    action: 'touchNumber',
		    data: '3'
		});
    }
});

var button4 = new Ext.Button(
{
    cls: 'dialpadbutton',
    flex: 1,
    iconCls: 'button4',
    handler: function()
    {
        Ext.dispatch(
		{
		    controller: IpPbxMobile.controllers.DialpadController,
		    action: 'touchNumber',
		    data: '4'
		});
    }
});

var button5 = new Ext.Button(
{
    cls: 'dialpadbutton',
    flex: 1,
    iconCls: 'button5',
    handler: function()
    {
        Ext.dispatch(
		{
		    controller: IpPbxMobile.controllers.DialpadController,
		    action: 'touchNumber',
		    data: '5'
		});
    }
});

var button6 = new Ext.Button(
{
    cls: 'dialpadbutton',
    flex: 1,
    iconCls: 'button6',
    handler: function()
    {
        Ext.dispatch(
	    {
		    controller: IpPbxMobile.controllers.DialpadController,
		    action: 'touchNumber',
		    data: '6'
	    });
    }
});

var button7 = new Ext.Button(
{
    cls: 'dialpadbutton',
    flex: 1,
    iconCls: 'button7',
    handler: function()
    {
        Ext.dispatch(
		{
		    controller: IpPbxMobile.controllers.DialpadController,
		    action: 'touchNumber',
		    data: '7'
		});
    }
});

var button8 = new Ext.Button(
{
    iconCls: 'button8',
    flex: 1,
    cls: 'dialpadbutton',
    handler: function()
    {
        Ext.dispatch(
	    {
		    controller: IpPbxMobile.controllers.DialpadController,
		    action: 'touchNumber',
		    data: '8'
	    });
    }
});

var button9 = new Ext.Button(
{
    cls: 'dialpadbutton',
    flex: 1,
    iconCls: 'button9',
    handler: function()
    {
        Ext.dispatch(
		{
		    controller: IpPbxMobile.controllers.DialpadController,
		    action: 'touchNumber',
		    data: '9'
		});
    }
});

var buttonRedial = new Ext.Button(
{
    cls: 'dialpadbutton',
    flex: 1,
    iconCls: 'buttonRedial',
    handler: function()
    {
        Ext.dispatch(
		{
		    controller: IpPbxMobile.controllers.DialpadController,
		    action: 'touchRedial'
		});
    }
});

var button0 = new Ext.Button(
{
    cls: 'dialpadbutton',
    flex: 1,
    iconCls: 'button0',
    listeners:
    {
        el:
        {
            touchstart: function()
            {
                this.touchTime = new Date().getTime();
                dialpadNumberField.setText(dialpadNumberField.text + '0');
                dialpadNumberField.resetFontSize();

                // Reset redial button
                IpPbxMobile.stores.JournalRedialStore.clearData();
            },
            taphold: function()
            {
                var dif = new Date().getTime() - this.touchTime;
                if (dif >= 500)
                {
					if(dialpadNumberField.text.length==1)
					{
	                    var number = dialpadNumberField.text.substring(0, dialpadNumberField.text.length - 1);
	                    dialpadNumberField.setText('+');
	                    dialpadNumberField.resetFontSize();
					}
                }
            }
        }
    }
});

var buttonDelete = new Ext.Button(
{
    cls: 'dialpadbutton',
    flex: 1,
    iconCls: 'buttonDelete',
    touchTimer: function()
    {
        if (dialpadNumberField.text.length != 0)
        {
            dialpadNumberField.setText(dialpadNumberField.text.substring(0, dialpadNumberField.text.length - 1));
            dialpadNumberField.resetFontSize();
        }
        buttonDelete.Timeout = setTimeout('buttonDelete.touchTimer()', 250);
    },
    listeners:
    {
        el:
        {
            touchstart: function()
            {
                if (dialpadNumberField.text.length != 0)
                {
                    dialpadNumberField.setText(dialpadNumberField.text.substring(0, dialpadNumberField.text.length - 1));
                    dialpadNumberField.resetFontSize();
                }

                // Reset redial button
                IpPbxMobile.stores.JournalRedialStore.clearData();
            },
            taphold: function()
            {
                buttonDelete.touchTimer();
            },
            touchend: function()
            {
                clearTimeout(buttonDelete.Timeout);

            }
        }
    }
});

var buttonMobile = new Ext.Button(
{
    cls: 'dialpadbuttonMobile',
    flex: 1,
    ui: 'confirm',
    iconCls: 'buttonMobile',
    listeners:
    {
        tap: function()
        {
            Ext.dispatch(
		    {
		        controller: IpPbxMobile.controllers.DialpadController,
		        action: 'touchDialMobile',
		        number: dialpadNumberField.getText()
		    });
        }
    }
});

var buttonOffice = new Ext.Button(
{
 
    cls: 'dialpadbuttonOffice',
    flex: 1,
    iconCls: 'buttonOffice',
    listeners:
    {
        tap: function()
        {
            Ext.dispatch(
		    {
		        controller: IpPbxMobile.controllers.DialpadController,
		        action: 'touchDialOffice',
		        number: dialpadNumberField.getText()
		    });
        }
    }
});

//------------------------------------------------------------------------------------------------
