//------------------------------------------------------------------------------------------------
// FORWARD DETAIL CARD
//------------------------------------------------------------------------------------------------

IpPbxMobile.views.ForwardingsDetailCard = Ext.extend(Ext.form.FormPanel,
{
    cls: 'sPanel',
    scroll: 'vertical',
    
    initComponent: function()
    {
        var fwdEnabledToggle =
        {
            xtype: 'togglefield',            
            name: 'FwdEnabled',
            itemId: 'fwdEnabled',
            label: 'Activate Forwarding',
            labelWidth: 200
        };

        var fwdToVoicemailToggle =
        {
            xtype: 'togglefield',
            name: 'FwdToVoicemail',
            itemId: 'fwdToVoicemail',
            label: 'Voicemail',
            labelWidth: 200,
            listeners:
            {
                change: function (slider, thumb, newValue, oldValue)
                {
                    // If forwading to voicemail is active the numberfield must be disabled
                    if (oldValue === "")
                        return;

                    if (newValue === 1)
                        this.ownerCt.query("#fwdNumber")[0].setDisabled(true);
                    else this.ownerCt.query("#fwdNumber")[0].setDisabled(false);
                }
            }
        };

        var fwdNumberField =
        {
            xtype: 'textfield',
            name: 'FwdNumber',
            itemId: 'fwdNumber',
            inputType: 'tel',
            inputCls: 's-input-tel',            
            componentCls: 's-field',
            label: 'Number',
            labelWidth: 80            
        };
        
        Ext.apply(this,
        {
            items: [
            {
                xtype: 'fieldset',
                items: [fwdEnabledToggle,
                        fwdToVoicemailToggle,
                        fwdNumberField]
            }]
        });

        IpPbxMobile.views.ForwardingsDetailCard.superclass.initComponent.call(this);
    }
});

//Register View
Ext.reg('IpPbxMobile.views.ForwardingsDetailCard', IpPbxMobile.views.ForwardingsDetailCard);

//------------------------------------------------------------------------------------------------

IpPbxMobile.views.ForwardingsDetailCardNoReply = Ext.extend(IpPbxMobile.views.ForwardingsDetailCard,
{
    initComponent: function()
    {
        IpPbxMobile.views.ForwardingsDetailCardNoReply.superclass.initComponent.call(this);

        var fwdWaitTimeField =
        {
            xtype: 'textfield',
            name: 'FwdWaitTime',
            itemId: 'fwdWaitTime',
            inputType: 'tel',
            inputCls: 's-input-tel',
            componentCls: 's-field',
            label: 'Forward after (sec.)',
            labelWidth: 200
        }; 

        var fwdFieldset = this.items.getAt(0);

        fwdFieldset.add(fwdWaitTimeField);
        fwdFieldset.doLayout();
    }
});

//Register View
Ext.reg('IpPbxMobile.views.ForwardingsDetailCardNoReply', IpPbxMobile.views.ForwardingsDetailCardNoReply);

//------------------------------------------------------------------------------------------------

// Back button
var fwdDetailBackButton = [
{
    text: 'Back',
    ui: 'back',
    handler: function()
    {
        IpPbxMobile.controllers.ForwardingController.saveForwardingDetails();
    }
}];

//------------------------------------------------------------------------------------------------