﻿//------------------------------------------------------------------------------------------------
// CALL JOURNAL CARD
//------------------------------------------------------------------------------------------------

IpPbxMobile.views.JournalCard = Ext.extend(Ext.Panel,
{
    title: 'Call Journal',
    id: 'journalcard',
    iconCls: 'journal',
    layout: 'card',    
    initComponent: function()
    {
        Ext.apply(this,
		{
		    items: [{ xtype: 'IpPbxMobile.views.JournalList' },
                    { xtype: 'IpPbxMobile.views.JournalDetails'}]
		});

		IpPbxMobile.views.JournalCard.superclass.initComponent.apply(this, arguments);
    }
});

// Register View
Ext.reg('IpPbxMobile.views.JournalCard', IpPbxMobile.views.JournalCard);

//------------------------------------------------------------------------------------------------
// CALL JOURNAL CARD - LIST
//------------------------------------------------------------------------------------------------

IpPbxMobile.views.JournalList = Ext.extend(Ext.Panel,
{
    id: 'journallistview',
    layout: 'fit',
    initComponent: function()
    {
        var journalToolbar = new Ext.Toolbar(
        {
            dock: 'top',
            layout: 'fit',
            items: [
            {
                xtype: 'segmentedbutton',
                margin: '0 0 0 5',
                itemId: 'journalSegmentedbutton',
                items: [
                {
                    text: 'All',
                    id: 'allButton',
                    width: 85,
                    pressed: true
                },
			    {
			        text: 'Missed',
			        id: 'missedButton',
			        width: 85
			    }]
            },
            {
                xtype: 'spacer'
            },
		    {
		        iconMask: true,
		        ui: 'plain',
		        iconCls: 'trash',
		        xtype: 'button',
		        itemId: 'trashButton',
		        dock: 'right',
		        stretch: false,
		        align: 'center'
		    }]
        });

        var journalList = new Ext.ux.VirtualList(
        {
            id: 'journallist',
            scroll: 'vertical',        
            store: Ext.getStore('JournalItemStore'),
            singleSelect: true,
            defaultItemHeight: listItemDefaultHeight,
            containerMaxItemCount: 60,
            itemTpl: journalListItemTpl,
            onItemDisclosure: true
        });        

        Ext.apply(this,
		{
		    dockedItems: [journalToolbar],
            items: [journalList],
            listeners:
            {
                afterrender: function ()
                {
                    IpPbxMobile.controllers.JournalController.init(this);
                }
            }
		});

		IpPbxMobile.views.JournalList.superclass.initComponent.apply(this, arguments);
    }
});

// Register View
Ext.reg('IpPbxMobile.views.JournalList', IpPbxMobile.views.JournalList);

//------------------------------------------------------------------------------------------------
// CALL JOURNAL CARD - ACTIONSHEET
//------------------------------------------------------------------------------------------------

var journalActionSheet = new Ext.ActionSheet(
{
    // Attention: Don't use hideOnMaskTap here!
    modal: true,
    items: [
        {
            text: 'Remove all entries',
            ui: 'decline',
            itemId: 'clearJournalActionSheetBtn',
            handler: function()
            {
                journalActionSheet.hide(false);
                IpPbxMobile.controllers.JournalController.clearList();
            }
        },
        {
            text: 'Cancel',
            itemId: 'cancelJournalActionSheetBtn',
            handler: function()
            {
                journalActionSheet.hide(false);
            }
        }]
});

//------------------------------------------------------------------------------------------------
// CALL JOURNAL DETAIL CARD
//------------------------------------------------------------------------------------------------

IpPbxMobile.views.JournalDetails = Ext.extend(Ext.Panel,
{
    id: 'journaldetailsview',
    scroll: 'vertical',
    styleHtmlContent: false,	
	setTemplate: function (template)
    {
        this.tpl = template;
    },
    initComponent: function ()
    {
        var journalDetailToolbar = new Ext.Toolbar(
        {
            dock: 'top',
            title: 'Call',
            id: 'titleJournalDetails',
            items:
            {
                text: 'Back',
                ui: 'back',
                id: 'backButton',
                handler: function()
                {
                    IpPbxMobile.controllers.JournalController.showJournalList();
                }
            }
        });

        Ext.apply(this,
        {
            dockedItems: [journalDetailToolbar]
        });

        IpPbxMobile.views.JournalDetails.superclass.initComponent.apply(this, arguments);
    }    
});

Ext.reg('IpPbxMobile.views.JournalDetails', IpPbxMobile.views.JournalDetails);

//------------------------------------------------------------------------------------------------
