﻿//------------------------------------------------------------------------------------------------
// LOCAL CONTACT LIST
//------------------------------------------------------------------------------------------------

IpPbxMobile.views.LocalContactList = Ext.extend(Ext.Panel,
{
    id: 'localcontactlistview',
    layout: 'fit',
    initComponent: function()
    {
        var contactToolbar = new Ext.Toolbar(
        {
            id: 'localListToolbar',
            items: [
            {
                xtype: 'segmentedbutton',
                allowMultiple: true,
                margin: '0 0 0 5',
                items: [
                {
                    text: 'Office',
                    itemId: 'remoteButton',
                    pressed: false,
                    width: 85
                },
			    {
			        text: 'Mobile',
			        itemId: 'localButton',
			        pressed: true,
			        width: 85

			    }]
            },
		    {
		        xtype: 'spacer',
		        flex: 2
		    },
		    {
		        iconMask: true,
		        iconCls: 'refresh',
		        xtype: 'button',
		        itemId: 'refreshButton',
		        dock: 'right',
		        stretch: false,
		        align: 'center',
		        ui: 'plain'
		    }]
		});

		var searchToolbar = new Ext.Toolbar(
        {
            itemId: 'localSearchToolbar',
            items: [{
                xtype: 'advancedsearchfield',
                name: 'contactsSearchfield',
                id: 'localSearchField',
                autoCapitalize: false,
                autoComplete: false,
                autoCorrect: false,
                showAnimation: false,
                flex: 1,
                useClearIcon: true,
                onClearIconTap: function ()
                {
                    Ext.dispatch(
                {
                    controller: IpPbxMobile.controllers.LocalContactController,
                    action: 'clearLocalList'
                });
                }
            }]
        });

        var contactList = new Ext.ux.VirtualList(
        {
            indexBar: new Ext.IndexBar(
            {
                dock: 'right',
                overlay: true,
                letters: [ '#', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z']
               
            }),
            scrollToTop: function ()
            {
                this.scroller.scrollTo({ x: 0, y: 0 });
            },
            defaultItemHeight: listItemDefaultHeight,
            grouped: true,
            blockScrollSelect: true,
            singleSelect: false,
            id: 'localList',
            itemTpl: localContactListItemTpl,
            store: Ext.getStore('LocalContactItemStore'),
            onClearIconTap: function (list, e)
            {
                IpPbxMobile.controllers.LocalContactController.clearLocalList();
            }
        });

        Ext.apply(this,
        {
            dockedItems: [contactToolbar, searchToolbar],
            items: [contactList]
        });

        IpPbxMobile.views.LocalContactDetails.superclass.initComponent.apply(this, arguments);
    },
    listeners:
    {
        afterrender: function ()
        {
            Ext.dispatch(
            {
                controller: IpPbxMobile.controllers.LocalContactController,
                action: 'init',
                data: this
            });
        }
    }
});

// Register View
Ext.reg('IpPbxMobile.views.LocalContactList', IpPbxMobile.views.LocalContactList);

//------------------------------------------------------------------------------------------------