﻿//------------------------------------------------------------------------------------------------
// MORE CARD
//------------------------------------------------------------------------------------------------

Ext.apply(IpPbxMobile.views,
{
    settingsCard: new IpPbxMobile.views.SettingsCard(),
    forwardingsCard: new IpPbxMobile.views.ForwardingsCard(),
    aboutCard: new IpPbxMobile.views.AboutCard(),
    creditsCard: new IpPbxMobile.views.CreditsCard()
});

//------------------------------------------------------------------------------------------------

IpPbxMobile.views.MoreCard = Ext.extend(Ext.Panel,
{
    title: 'More',
    iconCls: 'more',
    layout: 'card',
    id: 'morecard',
    styleHtmlContent: false,
    initComponent: function ()
    {
        Ext.apply(this,
		{
		    dockedItems: [moreToolbar],
		    items: [moreList,
			        IpPbxMobile.views.settingsCard,
                    IpPbxMobile.views.forwardingsCard,
                    IpPbxMobile.views.aboutCard,
                    IpPbxMobile.views.creditsCard]
		});

        IpPbxMobile.views.MoreCard.superclass.initComponent.apply(this, arguments);
    }
});

// Register View
Ext.reg('IpPbxMobile.views.MoreCard', IpPbxMobile.views.MoreCard);

//------------------------------------------------------------------------------------------------

var moreCardBackButton = [
{
    text: 'Back',
    ui: 'back',
    handler: function()
    {
        moreToolbar.setTitle(langData['more_menu_title']);
        moreToolbar.removeAll();
        IpPbxMobile.views.moreCard.setActiveItem(0);
    }
}];

//------------------------------------------------------------------------------------------------

// More Toolbar
var moreToolbar = new Ext.Toolbar(
{
    title: 'More',
    dock: 'top',
    ui: 'dark',
    defaults:
	{
	    iconMask: true,
	    ui: 'plain'
	}
});

//------------------------------------------------------------------------------------------------

// More List
var moreList = new Ext.List(
{
    id: 'morelist',
    margin: '8 0 0 0',
    itemTpl: moreListItemTpl,
    itemCls: 'moreListItem',
    grouped: false,
    indexBar: false,
    ui: 'round',
    store: IpPbxMobile.stores.MoreListItems,
    listeners:
	{
	    beforerender: function (o)
	    {
            // Make sure correct help link is set in store
            IpPbxMobile.controllers.MoreController.updateHelpLink();

            IpPbxMobile.stores.MoreListItems.filter({ property: 'hidden', value: false });
	    },
	    selectionchange: function (dv, records)
	    {
	        if (records[0] !== undefined)
	        {
	            Ext.dispatch(
				{
				    controller: IpPbxMobile.controllers.MoreController,
				    action: records[0].data.action,
				    data: records[0].data
				});

	            this.deselect(records, false);
	        }
	    }
	}
});

//------------------------------------------------------------------------------------------------
