﻿//------------------------------------------------------------------------------------------------
// REMOTE CONTACTS LIST
//------------------------------------------------------------------------------------------------

IpPbxMobile.views.RemoteContactList = Ext.extend(Ext.Panel,
{
    id: 'remotecontactlistview',
    layout: 'fit',
    initComponent: function()
    {
        var contactsToolbar = new Ext.Toolbar(
        {        
            id: 'remoteListToolbar',
            items: [
            {
                xtype: 'segmentedbutton',
                allowMultiple: true,
                margin: '0 0 0 5',
                items: [
                {
                    text: 'Office',
                    itemId: 'remoteButton',
                    pressed: true,
                    width: 85
                },
			    {
			        text: 'Mobile',
			        itemId: 'localButton',
			        pressed: false,
			        width: 85
			    }]
            },
		    {
		        xtype: 'spacer',
		        flex: 2
		    },
		    {
		        iconMask: true,
		        iconCls: 'refresh',
		        xtype: 'button',
		        itemId: 'refreshButton',
		        dock: 'right',
		        stretch: false,
		        align: 'center',
		        ui: 'plain'
		    }]
		});

		var searchToolbar = new Ext.Toolbar(
        {
            itemId: 'remoteSearchToolbar',
            dock: 'top',
            layout: 'fit',
            items: [
            {
                xtype: 'advancedsearchfield',
                name: 'contactsSearchfield',
                id: 'remoteSearchField',
                autoCapitalize: false,
                autoComplete: false,
                autoCorrect: false,
                showAnimation: false,
                flex: 1,
                useClearIcon: true,
                onClearIconTap: function ()
                {
                    IpPbxMobile.controllers.RemoteContactController.clearRemoteList();
                }
            }]

        });

        var contactList = new Ext.ux.VirtualList(
        {
      		defaultItemHeight: listItemDefaultHeight,
            grouped: true,
            blockScrollSelect: true,
            singleSelect: false,
            id: 'remoteList',
            indexBar: new Ext.IndexBar(
            {
                dock: 'right',
                overlay: true,
                letters: [ '#', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z']
            }),
            scrollToTop: function ()
            {
                this.scroller.scrollTo({ x: 0, y: 0 });
            },
            itemTpl: remoteContactListItemTpl,
            store: IpPbxMobile.stores.RemoteContactItems,
            onClearIconTap: function (list, e)
            {
                IpPbxMobile.controllers.RemoteContactController.clearRemoteList();
            },
            listeners:
            {
                renderedAreaChanged: function (top, bottom)
                {
                    logger.log('VirtualList - Rendered Area Change: ' + top + ', ' + bottom);

                    Ext.dispatch(
                    {
                        controller: IpPbxMobile.controllers.RemoteContactController,
                        action: 'updateStateRange',
                        data: { top: top, bottom: bottom }
                    });
                }
            }
        });



        Ext.apply(this,
		{
		    dockedItems: [contactsToolbar, searchToolbar],
            items: [contactList]
		});

		IpPbxMobile.views.RemoteContactList.superclass.initComponent.apply(this, arguments);
    },
    listeners:
    {
        afterrender: function()
        {
            Ext.dispatch(
            {
                controller: IpPbxMobile.controllers.RemoteContactController,
                action: 'init',
                data: this
            });
        }
    }
});

// Register View
Ext.reg('IpPbxMobile.views.RemoteContactList', IpPbxMobile.views.RemoteContactList);

//------------------------------------------------------------------------------------------------