﻿//------------------------------------------------------------------------------------------------
// USER STATUS SELECTION VIEW
//------------------------------------------------------------------------------------------------

IpPbxMobile.views.UserStatusView = Ext.extend(Ext.Panel,
{
    itemId: 'userstatusview',
    scroll: 'vertical',
    fullscreen: true,
    styleHtmlContent: false,
    layout:
    {
        type: "vbox",
        align: "stretch"
    },    

    initComponent: function()
    {
        var userStatusToolbar = new Ext.Toolbar(
        {
            dock: 'top',
            title: 'Change State',
            itemId: 'userStatusToolbar',
            items: [
            {
                xtype: 'button',
                text: 'Back',
                ui: 'back',
                itemId: 'userStatusBackButton',
                handler: function ()
                {
                    IpPbxMobile.controllers.UserController.doUserStateChange();
                }
            }]
        });

        var userStatusSelectionFieldset = new Ext.form.FieldSet(
        {
            layout:
            {
                type: "vbox",
                align: "stretch"
            },
            defaults:
            {
                name: 'userStatusSelection',
                xtype: 'radiofield',
                labelWidth: 200,
                listeners:
                {
                    el:
                    {
                        tap: function(ev, obj)
                        {
                            // If object value is not null or undefined
                            // step out of this method. Nothing to do.
                            if (obj.value != null)
                            {
                                return;                                
                            }

                            try
                            {
                                var fieldValue = parseInt(obj.parentElement.getElementsByTagName("input")[0].value);

                                if (!fieldValue)
                                    fieldValue = 0;

                                IpPbxMobile.controllers.UserController.setCurrentState(fieldValue);
                            }
                            catch(exc)
                            {
                                logger.warn('* ERR: ' + exc);
                            }
                        }
                    }
                }
            },
            items: [
            {
                itemId: 'userStateAvailable',
                label: 'Available',
                value: 1
            },
            {
                itemId: 'userStateAway',
                label: 'Away',
                value: 4                
            },
            {
                itemId: 'userStateDND',
                label: 'Do not disturb',
                value: 5
            },
            {
                itemId: 'userStateNotVisible',
                label: 'Not visible',
                value: 0
            }]    
        });

        Ext.apply(this,
        {
            dockedItems: [userStatusToolbar],
            items: [
            {
                xtype: 'formpanel',
                cls: 'profileStatusPanel',
                items: [userStatusSelectionFieldset]            
            }]
        });

        IpPbxMobile.views.UserStatusView.superclass.initComponent.apply(this, arguments);
    }    
});

// Register View
Ext.reg('IpPbxMobile.views.UserStatusView', IpPbxMobile.views.UserStatusView);

// ------------------------------------------------------------------------------------------------
